@keyframes openOverlay {
    0% {
        opacity: 0;
        transform: translateX(100%)
    }

    to {
        opacity: 1;
        transform: translateX(0)
    }
}

@keyframes openAside {
    0% {
        transform: translateX(100%)
    }

    to {
        transform: translateX(0)
    }
}

@keyframes closeOverlay {
    0% {
        opacity: 1;
        transform: translateX(0)
    }

    to {
        opacity: 0;
        transform: translateX(100%)
    }
}

@keyframes closeAside {
    0% {
        transform: translateX(0)
    }

    to {
        transform: translateX(100%)
    }
}

.ui-side-menu-subitem {
    position: relative;
    display: flex;
    gap: 8px;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    padding: 16px 18px 16px 8px;
    text-decoration: none;
    cursor: pointer;
    background: 0 0;
    border: 0
}

.ui-side-menu-subitem::before {
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    width: 100%;
    height: 100%;
    content: "";
    background-color: var(--token-brand-secondary-15);
    border-radius: 4px;
    transition: transform .3s ease-in-out;
    transform: scaleX(0);
    transform-origin: left;
    will-change: transform
}

.ui-side-menu-subitem:hover::before {
    transform: scaleX(1)
}

.ui-side-menu-subitem:not(:last-child)::after {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 1px;
    content: "";
    background-color: var(--token-brand-secondary-17);
    opacity: .2
}

.ui-side-menu-subitem__icon {
    z-index: 1;
    width: 16px;
    height: 16px;
    color: var(--token-brand-secondary-10)
}

.ui-side-menu-subitem__text {
    display: grid;
    grid-template-columns: 16px 1fr;
    gap: 8px;
    align-items: center;
    opacity: .8
}

.ui-side-menu-submenu__menu {
    display: flex;
    flex-direction: column;
    gap: 16px
}

.ui-side-menu-submenu__title {
    opacity: .3
}

.ui-side-menu {
    position: fixed;
    top: 0;
    right: 0;
    z-index: 999998;
    width: 100%;
    height: 100%;
    overflow: hidden
}

.ui-side-menu__aside {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    width: 272px;
    overflow: auto;
    background-color: var(--token-brand-secondary-18)
}

.ui-side-menu__close {
    display: flex;
    justify-content: flex-end;
    padding: 6px 0
}

.ui-side-menu__content {
    position: relative;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    height: 100%;
    max-height: 100vh;
    padding: 0 8px 77px
}

.ui-side-menu__overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--token-brand-secondary-14);
    opacity: .8
}

.ui-side-menu__link {
    color: var(--token-brand-secondary-17);
    text-decoration: underline;
    text-transform: capitalize;
    cursor: pointer;
    opacity: .8
}

.ui-side-menu__title {
    opacity: .3
}

.ui-side-menu_open .ui-side-menu__aside {
    animation: openAside .2s linear forwards
}

.ui-side-menu_open .ui-side-menu__overlay {
    animation: openOverlay .2s linear forwards
}

.ui-side-menu_close .ui-side-menu__aside {
    animation: closeAside .2s linear forwards
}

.ui-side-menu_close .ui-side-menu__overlay {
    animation: closeOverlay .2s linear forwards
}
